package machineid

import "testing"

func TestID(t *testing.T) {
	got, err := ID()
	if err != nil {
		t.Skip("Skipping test for Debian")
		t.Error(err)
	}
	if got == "" {
		t.Skip("Skipping test for Debian")
		t.Error("Got empty machine id")
	}
}

func TestProtectedID(t *testing.T) {
	id, err := ID()
	if err != nil {
		t.Skip("Skipping test for Debian")
		t.Error(err)
	}
	hash, err := ProtectedID("app.id")
	if err != nil {
		t.Skip("Skipping test for Debian")
		t.Error(err)
	}
	if hash == "" {
		t.Skip("Skipping test for Debian")
		t.Error("Got empty machine id hash")
	}
	if id == hash {
		t.Skip("Skipping test for Debian")
		t.Error("id and hashed id are the same")
	}
}
